org.eclipse.rdf4j.rio.trix

## Interface TriXConstants

-     public interface TriXConstants

  Interface defining a number of constants for the TriX document format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BNODE_TAG` The tag for BNode values.
    `static String` | `CONTEXT_TAG` The tag that starts a new context/graph.
    `static String` | `DATATYPE_ATT` The attribute for datatypes of typed literal.
    `static String` | `LANGUAGE_ATT` The attribute for language tags of plain literal.
    `static String` | `NAMESPACE` The TriX namespace.
    `static String` | `PLAIN_LITERAL_TAG` The tag for plain literal values.
    `static String` | `ROOT_TAG` The root tag.
    `static String` | `TRIPLE_TAG` The tag that starts a new triple.
    `static String` | `TYPED_LITERAL_TAG` The tag for typed literal values.
    `static String` | `URI_TAG` The tag for URI values.

- - ### Field Detail

    - #### NAMESPACE

          static final String NAMESPACE

      The TriX namespace.
      See Also:
        Constant Field Values

    - #### ROOT_TAG

          static final String ROOT_TAG

      The root tag.
      See Also:
        Constant Field Values

    - #### CONTEXT_TAG

          static final String CONTEXT_TAG

      The tag that starts a new context/graph.
      See Also:
        Constant Field Values

    - #### TRIPLE_TAG

          static final String TRIPLE_TAG

      The tag that starts a new triple.
      See Also:
        Constant Field Values

    - #### URI_TAG

          static final String URI_TAG

      The tag for URI values.
      See Also:
        Constant Field Values

    - #### BNODE_TAG

          static final String BNODE_TAG

      The tag for BNode values.
      See Also:
        Constant Field Values

    - #### PLAIN_LITERAL_TAG

          static final String PLAIN_LITERAL_TAG

      The tag for plain literal values.
      See Also:
        Constant Field Values

    - #### TYPED_LITERAL_TAG

          static final String TYPED_LITERAL_TAG

      The tag for typed literal values.
      See Also:
        Constant Field Values

    - #### LANGUAGE_ATT

          static final String LANGUAGE_ATT

      The attribute for language tags of plain literal.
      See Also:
        Constant Field Values

    - #### DATATYPE_ATT

          static final String DATATYPE_ATT

      The attribute for datatypes of typed literal.
      See Also:
        Constant Field Values

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.